var canvas = document.getElementById("GameBoard");
var context = canvas.getContext('2d');
var myInterval = 0;
var pos = 1;
var score = 0;
var absPos = [125, 325, 525];

drawGame();
//myInterval = window.setInterval(changeColor(), 30);
canvas.addEventListener("click", clickEr, false);

function clickEr(event){
	var xCoord = -1;
	var yCoord = -1;
	
	if (event.x !== undefined && event.y !== undefined) {
		xCoord = event.x;
		yCoord = event.y;
    }
    else {
	xCoord = event.clientX + document.body.scrollLeft +
	    document.documentElement.scrollLeft;
	yCoord = event.clientY + document.body.scrollTop +
	    document.documentElement.scrollTop;
    }
	
	xCoord -= canvas.offsetLeft;
	yCoord -= canvas.offsetTop;
	
	if(yCoord > 50 && yCoord < 200 && xCoord > (absPos[pos] - 75) && xCoord < (absPos[pos] + 75)){
		changeColor();
		score++;
		updateScore();
	}
}

function updateScore(){
	document.getElementById("scoreBoard").innerHTML = "Score: " + score;
}

function drawGame(){
	
	context.beginPath();
	context.fillStyle = "white";
	context.strokeStyle = "red";
	context.arc(absPos[0], 125, 75,0, 2*Math.PI);
	context.fill();
	context.stroke();
	
	context.beginPath();
	context.fillStyle = "red";
	context.strokeStyle = "red";
	context.arc(absPos[1], 125, 75,0, 2*Math.PI);
	context.fill();
	context.stroke();
	
	context.beginPath();
	context.fillStyle = "white";
	context.strokeStyle = "red";
	context.arc(absPos[2], 125, 75,0, 2*Math.PI);
	context.fill();
	context.stroke();
	
}

function changeColor(){
pos = Math.floor(Math.random()*3);
 
	context.beginPath();
	if(pos == 0)
		context.fillStyle = "red";
	else
		context.fillStyle = "white";
	context.strokeStyle = "red";
	context.arc(absPos[0], 125, 75,0, 2*Math.PI);
	context.fill();
	context.stroke();
	
	context.beginPath();
	if(pos == 1)
		context.fillStyle = "red";
	else
		context.fillStyle = "white";
	context.strokeStyle = "red";
	context.arc(absPos[1], 125, 75,0, 2*Math.PI);
	context.fill();
	context.stroke();
	
	context.beginPath();
	if(pos == 2)
		context.fillStyle = "red";
	else
		context.fillStyle = "white";
	context.strokeStyle = "red";
	context.arc(absPos[2], 125, 75,0, 2*Math.PI);
	context.fill();
	context.stroke();
	
}